Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class RawScribeRegrTest.RawTestScribeContent

    java.lang.Object
      rice.p2p.scribe.testing.ScribeRegrTest.TestScribeContent
          rice.p2p.scribe.testing.RawScribeRegrTest.RawTestScribeContent

All Implemented Interfaces:
  java.io.Serializable, RawScribeContent, ScribeContent

Enclosing class:
  RawScribeRegrTest

    protected static class RawScribeRegrTest.RawTestScribeContent

extends ScribeRegrTest.TestScribeContent
implements RawScribeContent

Utility class for past content objects

Version:
  $Id: ScribeRegrTest.java 3157 2006-03-19 12:16:58Z jeffh $
Author:
  amislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.p2p.scribe.testing.ScribeRegrTest.TestScribeContent
`num, topic`

Constructor Summary
`RawScribeRegrTest.RawTestScribeContent(InputBuffer buf, Endpoint endpoint)`
`RawScribeRegrTest.RawTestScribeContent(Topic topic, int num)` Constructor for TestScribeContent.

Method Summary
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.p2p.scribe.testing.ScribeRegrTest.TestScribeContent
`equals, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### RawScribeRegrTest.RawTestScribeContent

    public RawScribeRegrTest.RawTestScribeContent(Topic topic,
                                                  int num)

  Constructor for TestScribeContent.

  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `num` - DESCRIBE THE PARAMETER

### RawScribeRegrTest.RawTestScribeContent

    public RawScribeRegrTest.RawTestScribeContent(InputBuffer buf,
                                                  Endpoint endpoint)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawScribeContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawScribeContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.